<div xmlns:th="http://www.thymeleaf.org" class="panel panel-primary" th:classappend="(${data.display} ? '' : ' hide') + (${stats.first} ? ' repeatables-first' : '') + (${stats.last} ? ' repeatables-last' : '') + (${stats.totalCount == stats.maxOccurs} ? ' repeatables-max-reached' : '') + (${stats.totalCount == stats.minOccurs} ? ' repeatables-min-reached' : '')" th:attr="data-group=${parentPrefix + data.id},data-min-occurs=${stats.minOccurs},data-max-occurs=${stats.maxOccurs}, data-fold=${null == data.fold ? null : (false == data.fold) ? 'no' : 'yes'}, data-json=${jsonValue}, data-rule=${ruleKey}">
    <div class="panel-heading">
        <div class="list-icons-target">
            <button type="button" th:if="${null != data.fold}" class="btn btn-sm pull-left" th:attrappend="class=${false == data.fold} ? null : ' collapsed'" data-toggle="collapse" th:attr="data-target=${'#' + pathAsHtmlId + '-PanelBody'}">
                <i class="fa fa-caret-right"></i>
            </button>
            <h3 class="panel-title" th:classappend="${true == data.fold} ? 'collapsed' : null" th:if="${data.label}">
            <span class="occurrence-title" th:text="${singleTranslation} ? #{${data.label}} : ${data.label}"/><span class="occurrence-index"><th:block th:if="${stats.totalCount > 1}" th:text="| (${stats.index + 1}/${stats.totalCount})|" /></span>
                <button type="button" class="btn btn-help btn-sm" tabindex="-1" th:if="${null != data.help and data.help.trim() != ''}" data-toggle="popover" data-placement="top" data-trigger="focus" data-html="true" th:attr="data-content=(${singleTranslation} ? #{${data.help}} : ${data.help})"><i class="fa fa-question-circle"></i></button>
                <div class="list-icons pull-right">
                    <a th:id="${pathAsHtmlId + '-btn-trash'}" class="repeatables-action panel-trash ge-bleu" data-type="delete" data-target="group" href="#" role="remove"><i class="fa fa-trash-o"></i></a>
                    <a th:id="${pathAsHtmlId + '-btn-up'}" class="repeatables-action ge-bleu" data-type="arrow-up" data-target="group" href="#"><i class="fa fa-arrow-circle-up"></i></a>
                    <a th:id="${pathAsHtmlId + '-btn-down'}" class="repeatables-action ge-bleu" data-type="arrow-down" data-target="group" href="#"><i class="fa fa-arrow-circle-down"></i></a>
                    <a th:id="${pathAsHtmlId + '-btn-add'}" class="repeatables-action panel-add ge-rouge" data-type="add" data-target="group" href="#"><i class="fa fa-plus-circle"></i></a>
                </div>
                <div class="group-translation" th:if="${!singleTranslation && i18nAvailable}">
                    <span class="badge" th:text="${i18nLang}"></span>
                    <th:block th:text="#{${data.label}}" />
                </div>
            </h3>
        </div>
    </div>
    <div th:id="${pathAsHtmlId + '-PanelBody'}" class="panel-body-container" th:attrappend="class=${true == data.fold} ? ' collapse' : ' collapse in'">
        <div class="panel-body">
            <div class="group-description text-justify" th:if="${data.description}">
                <th:block form:md="${singleTranslation} ? #{${data.description}} : ${data.description}" />
                <div class="group-translation" th:if="${i18nAvailable}">
                    <span class="badge" th:text="${i18nLang}"></span>
                    <th:block form:md="#{${data.description}}" />
                </div>
            </div>
            <div class="group-warning alert alert-warning" th:each="warning : ${data.warnings}">
                <strong th:text="${singleTranslation} ? #{${warning.label}} : ${warning.label}" th:if="${warning.label}"></strong>
                <th:block form:md="${singleTranslation} ? #{${warning.description}} : ${warning.description}" />
                <div class="group-translation" th:if="${i18nAvailable}">
                    <span class="badge" th:text="${i18nLang}"></span>
                    <strong th:text="#{${warning.label}}" th:if="${warning.label}"></strong>
                    <th:block form:md="#{${warning.description}}" />
                </div>
            </div>
            <th:block th:each="data, statsData : ${children}"><div form:data="${data}"></div></th:block>
        </div>
    </div>
</div>